srcu_init_notifier_head
Prev | Kernel utility functions | Next

## Name

srcu_init_notifier_head — Initialize an SRCU notifier head

## Synopsis

`void srcu_init_notifier_head (` | struct srcu_notifier_head * | nh`)`;

## Arguments

`nh`

  Pointer to head of the srcu notifier chain

## Description

Unlike other sorts of notifier heads, SRCU notifier heads require dynamic initialization. Be sure to call this routine before calling any of the other SRCU notifier routines for this head.

If an SRCU notifier head is deallocated, it must first be cleaned up by calling `srcu_cleanup_notifier_head`. Otherwise the head's per-cpu data (used by the SRCU mechanism) will leak.

Prev | Up | Next
__srcu_notifier_call_chain | Home | register_reboot_notifier